unit IntroDB;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, Basic3, StdCtrls, ComCtrls;

type
  TIntroDBForm = class(TBasicForm3)
    procedure FormCreate(Sender: TObject);  
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  IntroDBForm: TIntroDBForm;

implementation

{$R *.dfm}

procedure TIntroDBForm.FormCreate(Sender: TObject);
begin
  With RichEdit1.Lines, RichEdit1 do
  begin
    Clear;
    SelAttributes.Color := RGB(51,51,153);
    SelAttributes.Size := 14;
    Add('Standard database interface');
    Add('');
    Paragraph.Numbering := nsBullet;
    Paragraph.FirstIndent := 10;
    Add('All classification algorithms work with the same component to access database tables');
    Add('Define a template how to map field types to real and/or discrete attributes');
    Add('Ignore specified fields');
    Add('Define missing-value value');
    Add('Discriminate between discrete and already indexed discrete fields');
    Add('Auto index discrete fields/attributes');
    Add('Connects to any TDataset descendant');
    Paragraph.Numbering := nsNone;
    Paragraph.FirstIndent := 0;
    Add('');
  end;
  TButton(Self.Owner.FindComponent('btnHelp')).Enabled := false;
end;

initialization
  RegisterClass(TIntroDBForm);
end.
